<html>
<head>
<title>OGRE: OgreFrustum.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreFrustum.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreMovableObject_8h-source.html">OgreMovableObject.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreMovablePlane_8h-source.html">OgreMovablePlane.h</a>&quot;</code><br>

<p>
<a href="OgreFrustum_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Frustum.html">Ogre::Frustum</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A frustum represents a pyramid, capped at the near and far end which is used to represent either a visible area or a projection area.  <a href="classOgre_1_1Frustum.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#f5dd9a3d1fd373b17108baa16065b1ce">Ogre::ProjectionType</a> { <a class="el" href="namespaceOgre.html#f5dd9a3d1fd373b17108baa16065b1ce739a7eabe0426ba0cd2f6e94a5e5be25">Ogre::PT_ORTHOGRAPHIC</a>, 
<a class="el" href="namespaceOgre.html#f5dd9a3d1fd373b17108baa16065b1ceb93552ced844b58965a168d27150e262">Ogre::PT_PERSPECTIVE</a>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specifies perspective (realistic) or orthographic (architectural) projection.  <a href="namespaceOgre.html#f5dd9a3d1fd373b17108baa16065b1ce">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#62275d08557868fd87154c46dfcc9dfd">Ogre::FrustumPlane</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#62275d08557868fd87154c46dfcc9dfdc3491138fb6ea5aab59e7a19df7775cf">Ogre::FRUSTUM_PLANE_NEAR</a> =  0, 
<a class="el" href="namespaceOgre.html#62275d08557868fd87154c46dfcc9dfd0dd893c751a483a18e1345aa88135e8f">Ogre::FRUSTUM_PLANE_FAR</a> =  1, 
<a class="el" href="namespaceOgre.html#62275d08557868fd87154c46dfcc9dfdac17072b67144059d69d578706365499">Ogre::FRUSTUM_PLANE_LEFT</a> =  2, 
<a class="el" href="namespaceOgre.html#62275d08557868fd87154c46dfcc9dfdb0c99c0e896fe615393fabba067f1a30">Ogre::FRUSTUM_PLANE_RIGHT</a> =  3, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#62275d08557868fd87154c46dfcc9dfd44c7b45d93e28524064ae95457224a4b">Ogre::FRUSTUM_PLANE_TOP</a> =  4, 
<a class="el" href="namespaceOgre.html#62275d08557868fd87154c46dfcc9dfd4a8d7be432f1ee786179d29dfdf3ee10">Ogre::FRUSTUM_PLANE_BOTTOM</a> =  5
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Worldspace clipping planes.  <a href="namespaceOgre.html#62275d08557868fd87154c46dfcc9dfd">More...</a><br></td></tr>
</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
